create an easy-to-use MIME-type configuration system
On the UI side, this is currently done using a combination of the save dialog, the  types preferences subdialog, the feeds pane, and the feeds preview page at least. Much of the database is currently in RDF and duplicates some data from the OS. We need to figure out how to minimize that (bug  and (possibly, depending on time) move it to mozStorage.
